Horbit Developers
Authors

One author

GET
/v1/public/blog/authors/{authorId}

For their posts, call GET /posts?author={authorId}.

Authorization

x-api-key
headerx-api-key<token>

A tenant API key — secret (htk_…) or, where allowed, publishable (hpk_…).

Path Parameters

authorId*string

Response Body

Everyone with a published post.

response?unknownapplication/json
curl -X GET 'https://api.horbit.ng/v1/public/blog/authors/567f039c6d064c4bbf6c372c78dbd74c'
{  "status": true,  "message": "Authors retrieved successfully",  "data": [    {      "id": "7770812996284e9b92905104b95e36d2",      "name": "Ada Obi",      "avatarUrl": "https://cdn.horbit.ng/avatars/ada.jpg",      "postCount": 17,      "latestPostAt": "2026-10-25T09:00:00.000Z"    }  ]}